--- title: "addRouteTableSubnet" slug: "networking-vpc-routetable-addroutetablesubnet" updated: 2026-10-08T04:18:15Z published: 2026-10-08T04:18:15Z canonical: "api.ncloud-docs.com/networking-vpc-routetable-addroutetablesubnet" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # addRouteTableSubnet Available in VPC Add a related subnet list to a route table. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/addRouteTableSubnet | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the request headers common to all VPC APIs, see [VPC request headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the route table to which you want to add a list of associated subnets - First Region of the query result (default). - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `vpcNo` | String | Required | VPC number of the route table to which you want to add the associated subnet list - See [getVpcList](/docs/en/cli-vpc-vpcmanagement-getvpclist). | | `routeTableNo` | String | Required | Number of the route table to which you want to add the list of associated subnets - See [getRouteTableList](/docs/en/networking-vpc-routetable-getroutetablelist). | | `subnetNoList.N` | List[String] | Required | List of associated subnet numbers to add - For `subnetNo`, see [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). - Example: subnetNoList.1=1234&subnetNoList.2=2345 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/addRouteTableSubnet ?regionCode=KR &vpcNo=***04 &routeTableNo=***38 &subnetNoList.1=***45' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [SubnetList](/docs/en/common-vapidatatype-subnetlist) for the response body. ### Response status codes For information about the response status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` d8559867-f266-4782-8bf4-d99bd318336e 0 success 2 ***44 ***04 KR-1 test-*** ***.***.1.0/24 RUN run PUBLIC Public ***45 ***04 KR-1 test-*** ***.***.2.0/24 INIT init PUBLIC Public ```